RUP(1) | General Commands Manual | RUP(1)

# NAME

`rup` —
remote status display

# SYNOPSIS

`rup` | [`-dhlt`] [host ...]

# DESCRIPTION

`rup` displays a summary of the current system status of a particular host or all hosts on the local network. The output shows the current time of day, how long the system has been up, and the load averages. The load average numbers give the number of jobs in the run queue averaged over 1, 5 and 15 minutes.

The following options are available:

`-d`
  For each host, report what its local time is. This is useful for checking time synchronization on a network.
`-h`
  Sort the display alphabetically by host name.
`-l`
  Sort the display by load average.
`-t`
  Sort the display by up time.

The rpc.rstatd(8) daemon must be running on the remote host for this command to work. `rup` uses an RPC protocol defined in /usr/include/rpcsvc/rstat.x.

# EXAMPLES

    example% rup otherhost
    otherhost      up 6 days, 16:45,  load average: 0.20, 0.23, 0.18
    example%

# DIAGNOSTICS

rup: RPC: Program not registered
  The rpc.rstatd(8) daemon has not been started on the remote host.
rup: RPC: Timed out
  A communication error occurred. Either the network is excessively congested, or the rpc.rstatd(8) daemon has terminated on the remote host.
rup: RPC: Port mapper failure - RPC: Timed out
  The remote host is not running the portmapper (see rpcbind(8)), and cannot accommodate any RPC-based services. The host may be down.

# SEE ALSO

ruptime(1), rpc.rstatd(8), rpcbind(8)

# HISTORY

The `rup` command appeared in SunOS.

June 7, 1993 | NetBSD 9.2